Parameters
JSON body
Request body
application/jsonslugstringRequiredBranch slug to attach the lock to.
lockIdnumberRequiredExternal TTLock identifier (matches the lock detail URL).
Sets iot__ttlock_lock.branch_id to the branch identified by slug. Overwrites any previous branch assignment on the lock — locks have at-most-one branch. The branch then becomes the operational technical contact for the lock.
JSON body
slugstringRequiredBranch slug to attach the lock to.
lockIdnumberRequiredExternal TTLock identifier (matches the lock detail URL).
1 status code documented
successbooleanRequiredlockIdnumberRequiredbranchIdnumberRequiredbranchSlugstringRequired{
"success": false,
"lockId": 0,
"branchId": 0,
"branchSlug": "example_branchSlug"
}POST /bff/branch/attach-lock
curl -X POST "https://api.bizkithub.com/bff/branch/attach-lock" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"slug": "example_slug",
"lockId": 0
}'All BizKitHub public API endpoints require authentication via API key.